1. Lookup
Bardge API (V3)
  • Introduction
  • Authentication
  • Errors
  • Idempotent Requests
  • Pagination
  • Passes
    • Introduction
    • Get All Reseller Passes
      GET
    • Issue a pass
      POST
    • Update user's pass
      POST
    • Update user's pass expiry
      POST
    • Get User Pass Details
      GET
  • Providers
    • Introduction
    • Get providers
      GET
    • Get providers for a pass
      GET
  • Access Codes
    • Introduction
    • Generate dynamic access code
      POST
  • Bookings
    • Introduction
    • Get class categories
      GET
    • Get classes
      GET
    • Get class with instances
      GET
    • Initiate a class booking
      POST
    • Confirm a class booking
      POST
    • Initiate a spa booking
      POST
    • Confirm a spa booking
      POST
    • Get client bookings
      GET
    • Get booking status
      GET
    • Cancel a booking
      POST
  • Co-pay
    • Introduction
  • Credits
    • Introduction
    • Purchase credits
    • Get credit packages
  • Lookup
    • Introduction
    • Get issuers
      GET
    • Initiate a lookup
      POST
    • Verify a lookup
      POST
    • Get a client
      GET
    • Get client credits
      GET
  • Schemas
    • PasscodeV3Request
    • PurchaseSpaCoPayV3Request
    • LookupInitiateV3Request
    • ResellerV3PasscodeResponse
    • ErrorDetail
    • ResellerV3ErrorResponse
    • LookupV3Response
    • ResellerV3SpaCoPayPurchaseResponse
    • LookupVerifyV3Request
    • SpaCoPayQuoteV3Request
    • IssuePassV3Request
    • PassRef
    • ResellerV3SpaCoPayQuoteResponse
    • CategoryDetails
    • ResellerV3IssuedPassResponse
    • UpdateIssuedPassExpiryV3Request
    • ResellerV3IssuedPassMessageResponse
    • UpdateLookupEnabledRequest
    • UpdateIssuedPassV3Request
    • PurchaseGymCoPayV3Request
    • PurchaseCoPayPackageV3Request
    • PurchaseCreditsV3Request
    • ResellerV3GymCoPayPurchaseResponse
    • ResellerV3CreditPurchaseResponse
    • ResellerV3CoPayPurchaseResponse
    • RescheduleBookingV3Request
    • RefundInfo
    • PasscodeInfo
    • ResellerV3BookingResponse
    • BookSpaV3Request
    • ResellerV3SpaBookingInitiateResponse
    • BookClassV3Request
    • CopayOption
    • ResellerV3ProviderResponse
    • ResellerV3ClassBookingInitiateResponse
    • ResellerV3ServiceResponse
    • ConfirmClassBookingV3Request
    • ResellerV3SpaResponse
    • AccessCodeV3Request
    • ServicePreview
    • ResellerV3AccessCodeResponse
    • ResellerV3ListResponse
    • ResellerV3AccessCodeSessionResponse
    • ResellerV3AvailabilityResponse
    • ConfirmAccessCodeV3Request
    • ResellerV3ClientResponse
    • CategoryDetail
    • ResellerV3CreditsResponse
    • ResellerV3PassResponse
    • ResellerV3ClassInstanceResponse
    • ResellerV3ClassResponse
    • ResellerV3BookingStatusResponse
  1. Lookup

Get a client

GET
/v3/api/business/reseller/clients/{clientId}
Retrieves a client record by its Bardge client ID.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Path Params

Responses

🟢200
*/*
Client details
Body*/*

🟠401
🟠403
🟠404
🔴500
Request Request Example
Shell
JavaScript
Java
Swift
curl --location '/v3/api/business/reseller/clients/client_abc123' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Success
{
    "object": "client",
    "id": "client_abc123",
    "first_name": "Ada",
    "last_name": "Okafor",
    "email": "ada@example.com",
    "phone": "+2348012345678",
    "status": "ACTIVE",
    "created": 1746700000000,
    "message": "Client retrieved successfully"
}
Modified at 2026-05-21 13:30:24
Previous
Verify a lookup
Next
Get client credits
Built with